# $Id: perl-Sys-Load.spec 3135 2005-04-16 09:21:02Z dries $
# Authority: dries
# Upstream: Peter Barabas <z0d%20%5b$%5d%20artifact%20%5b,%5d%20hu>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Sys-Load

Summary: Perl module for getting the current system load and uptime
Name: perl-Sys-Load
Version: 0.2
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Sys-Load/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/B/BA/BARABAS/Sys-Load-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl

%description
Sys::Load is a module that is used to get the current system load and uptime.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib}/perllocal.pod %{buildroot}%{perl_vendorarch}/auto/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorarch}/Sys/Load.pm
%{perl_vendorarch}/auto/Sys/Load

%changelog
* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 0.2-1 - 3135/dries
- Initial package.
